package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.dto.scheduling.management.schcollectorconfig.AddSchCollectorConfigDTO;
import com.docus.server.dto.scheduling.management.schcollectorconfig.EditSchCollectorConfigDTO;
import com.docus.server.entity.scheduling.management.SchCollectorConfig;
import com.docus.server.vo.scheduling.management.schcollectorconfig.SchCollectorConfigVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

/**
 * 采集器配置 服务转换器
 *
 * @author AutoGenerator
 * @since 2023-07-15
 */
@Mapper
public interface SchCollectorConfigConvert {

    SchCollectorConfigConvert INSTANCE = Mappers.getMapper(SchCollectorConfigConvert.class);

    @Mappings({})
    SchCollectorConfig convertDO(AddSchCollectorConfigDTO addSchCollectorConfigDTO);

    @Mappings({})
    SchCollectorConfig convertDO(EditSchCollectorConfigDTO editSchCollectorConfigDTO);

    @Mappings({})
    SchCollectorConfigVO convertVO(SchCollectorConfig schCollectorConfig);

    @Mappings({})
    PageResult<SchCollectorConfigVO> convertVO(PageResult<SchCollectorConfig> pageResult);

}

